DVDTAPE(1)

NAME
dvdtape - Write a DLT tape for manufacturing a Digital Versatile Disc.

SYNOPSIS
dvdtape --inputfile=file [options]...

DESCRIPTION

dvdtape should be used to write directly to a Digital Linear Tape to send to a DVD factory for manufacturing. It writes all of the extra data that the factory needs in just the format that is expected. This includes ANSI tape headers, DDP information, DDPMS information, "lead in", and the DVD data itself.

--combined-length=length
    When producing the first layer of a two layer opposite spiral track DVD, the dvdtape needs to know the combined length of both layers to record the length of the second layer in the leadin area of the first layer (opposite track DVD's only have one leadin area for both tracks). This parameter provides a way to specify that value. If this value is not specified and is needed, it is inferred from the image contents, based on the assumption that the data being written is a "fat" ISO-9660 file system.

--controlfile=file
    The file from which the DVD leadin data should be read. The DVD leadin data is normally 32,768 bytes of data that contains information about the physical layout of the DVD-ROM, such as the number of layers, number of sides, and so on. This information does not appear as data sectors to programs reading the DVD-ROM, but is used internally by the DVD-ROM drive. If this parameter is not specified, dvdtape will attempt to create its own leadin data by a possibly incorrect algorithm written from experiments on a proprietary program that creates leadin data. Note also that leadin deliberately omitted for the second layer of an oppositely oriented dvd track.

--diameter=8cm or --diameter=12cm
    The physical diameter of the disc being made. 12 centimeters is the default.

--inputfile=file
    The file from which the DVD contents should be read. This file usually contains an ISO-9660 or UDF file system. This parameter is mandatory. It has no default value.

--layer=0 or --layer=1
    The layer number being written. The 4.7 gigabyte first layer is layer 0. The optional 3.7 gigabyte second layer is layer 1. Note that you must create a separate physical tape for each layer. (DLT tapes have enough space to hold both layers, but the standard specifies two tapes.) The default is layer=0.

--layers=1 or --layers=2
    The total number of layers that the finished disc will comprise. The tape itself only contains information about one layer, but the total number of layers is stored in the header information on each tape. The default behavior is to guess the number of layers by assuming that the image is a "fat" ISO-9660 file system, determining the file system size, and setting layers=1 if the image will fit on one layer, and layers=2 otherwise.

--length=NNNNNNNN
    The number of bytes to write for this layer of the DVD file system. This data will be padded with nulls to make its size a multiple of 32768 (the required block size for the image section of the tape). If length is not specified, the default is to read the length, based on the assumption that the data is a "fat" ISO-9660 file system.

--master-id=string
    Set the master ID to the specified string, which can be up to 48 characters in length. This string is a field in the tape header information, which sometimes displayed on the operator's console when the disc is being made. It is useful for identifying tapes at the factor, and apparently has no other purpose.

--offset=NNNNNNNN
    Skip this many bytes before starting to read the DVD image. This is usually used for continuing a file system image on a second layer. The default offset is 0 if layer=0 and 4699979776 (the size of layer 0) if layer=1.

--outputfile=tape_device
    Write the output to tape_device. You can write the output to a plain file, but the size of the tape blocks are 128 bytes in some sections and 32768 bytes in others, so you cannot write a proper tape later by simplying copying that file to a tape device. The default is /dev/st0.

--owner=string
    Fill in the "owner" field in the tape. This option appears to be useful only if you want some specific information to appear before the operator who is running the disc manufacturing equipment. The default is an empty string.

--readout-speed=2 or --readout-speed=5 or --readout-speed=10
    The leadin data contains a parameter that specifies a minimum required readout speed for the DVD-ROM. It can be 2.52, 5.04 or 10.08 megabits per second, which you can select by setting this argument to 2, 5, or 10, respectively. The default is 2.52 megabits per second. As far as this author can tell, there does not appear to be a way in the leadin format to specify no minimum readout speed. This argument is only used when dvdtape generates its own leadin data.

--side=0 or --side=1
    The side number being written. The first side is side 0. Note that you must create a separate physical tape for each side. (DLT tapes have enough space to hold both sides, but the standard is two tapes.) The default value is 0.

--sides=1 or --sides=2
    The total number of sides that the finished disc will comprise. The tape itself only contains information about one side, but the total number of sides is stored in the header information on each tape. The default value is 1.

--track-path=directionfR
    The direction of translation of the second layer in the DVD. This argument should have no effect for a single layer DVD, although it does fill in the corresponding field in the DVD header information. For the standard parallel layer arrangement, direction can be specified by the synonyms "opposite", "out" or "outward". For opposite track arrangment, direction can be "parallel", "in" or "inward". The default is parallel if there is only one layer and opposite if there are two layers. The legality of opposite orientation and only one layer is unclear.

--usertext=string
    Fill in the "user text" field in the tape. This option appears to be useful only if you want some specific information to appear before the operator who is running the disc manufacturing equipment. The default value is an empty string.

EXAMPLES

dvdtape --inputfile=mydvd.iso-image
    Writes layer 0 to the tape on /dev/st0.

dvdtape --inputfile=mydvd.iso-image --side=1
    Writes layer 1 to the tape on /dev/st0. You only need to do this for an image that is too large to fit on one layer.

COPYRIGHT
Copyright 1999, 2000 Yggdrasil Computing, Inc. dvdtape may be copied under the terms and conditions of version 2 of the GNU General Public License, as published by the Free Software Foundation (Cambridge, MA, USA).

AUTHOR
Written by Adam J. Richter (adam@yggdrasil.com)